FORMS(3) | Library Functions Manual | FORMS(3)

# NAME

`field_userptr`, `set_field_userptr` — form library

# LIBRARY

Curses Form Library (libform, -lform)

# SYNOPSIS

`#include <form.h>`

void *
`field_userptr`(FIELD *field);

int
`set_field_userptr`(FIELD *field, void *ptr);

# DESCRIPTION

The `field_userptr`() function returns the pointer to the user defined data for the field, this pointer may be set by calling the `set_field_userptr`() function.

# RETURN VALUES

Functions returning pointers will return `NULL` if an error is detected. The functions that return an int will return one of the following error values:

`E_OK`
  The function was successful.

# SEE ALSO

curses(3), forms(3)

# NOTES

The header `<form.h>` automatically includes both `<curses.h>` and `<eti.h>`.

January 1, 2001 | NetBSD 11.0